/**\file DOC-References.h
 * \brief A documentation file containing all external references.
 *
 * This is a special documentation file: it contains no compilable code
 * whatsoever. In particular we use it to define external references.
 */


//class References
//{
    /**Rosemary Emery-Montemerlo, Geoff Gordon, Jeff Schneider and Sebastian
     * Thrun. Approximate Solutions for Partially Observable Stochastic Games
     * with Common Payoffs. Proceedings of the Third International Joint
     * Conference on Autonomous Agents and Multiagent Systems (AAMAS),
     * pp.136--143. New York, N.Y., July 2004. */
    ref refEM;



    /** Optimal and Approximate Q-value functions for Decentralized POMDPs.
     * Frans Oliehoek, Matthijs Spaan, Nikos Vlassis.
     * Journal of Artificial Intelligence Research, vol 32, 2008.
     */
    ref refGMAA;    
    
    /** MAA*: A Heuristic Search Algorithm for Solving Decentralized POMDPs.
    Daniel Szer, Francois Charpillet, Shlomo Zilberstein UAI'2005 - 21st
    Conference on Uncertainty in Artificial Intelligence, Edinburgh, Scotland
    */
    ref refMAA;


    /** The Cross-Entropy Method for Policy Search in Decentralized
     * POMDPs.  Frans Oliehoek, Julian Kooi, Nikos
     * Vlassis. Informatica, vol 32, 2008.
     */
    ref refDICEPS;

    /** Nair, Tambe, Yokoo, Pynadath, and Marsella, "Taming
     *  Decentralized POMDPs: Towards efficient policy computation for
     *  multiagent settings", IJCAI 2003.
     */
    ref refJESP;

//}

